package com.yuexiu.secp.read.model.entities;

import lombok.Data;

/**
 * 流程回调接收实体
 */
@Data
public class FlowProcessCallbackEntity {

    /**
     * 流程实例id
     */
    private String processInstanceId ;
    /**
     * 回调时间
     */
    private String completeTime;
    /**
     * 业务id
     */
    private Long id ;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * url
     */
    private String url ;
    /**
     * 任务id
     */
    private String taskId;
    /**
     * 状态
     */
    private String status ;
    /**
     *
     */
    private String processDefinitionKey;

    private String procDefKey;
    /**
     * 当前节点key
     */
    private String taskDefinitionKey;
    /**
     * 当前节点名称
      */
    private String taskName ;
    /**
     * 下一个节点信息
     */
    private String nextTasks;
    /**
     * 下一个节点信息key
     */
    private String nextTaskId;
}
