package com.yuexiu.secp.read.infra.config;

/**
 * 审批流程状态
 */
public enum WorkflowApprovalStatus {
    DRAFT("DRAFT", "草稿"),
    APPROVAL("APPROVAL", "审批中"),
    ALLOW("ALLOW", "审批通过"),
    REFUSAL("REFUSAL", "审批驳回"),
    CLOSED("CLOSED", "已关闭");

    private String index;
    private String name;

    WorkflowApprovalStatus(String index, String name) {
        this.index = index;
        this.name = name;
    }

    public static WorkflowApprovalStatus convert(String index){
        WorkflowApprovalStatus[] statuses = WorkflowApprovalStatus.values();
        for (int i = 0; i < statuses.length; i++) {
            if (statuses[i].index.equals(index)){
                return statuses[i];
            }
        }
        return null;
    }

    public String getIndex() {
        return index;
    }

    private void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    private void setName(String name) {
        this.name = name;
    }
}
