package com.yuexiu.secp.read.model.service;


import com.alibaba.fastjson.JSONObject;
import com.sie.iot.base.bean.RedisMessageContentBean;
import com.sie.iot.common.bean.OrderByBean;
import com.sie.iot.common.model.inter.IBaseCommon;
import com.sie.iot.distribute.transation.annotation.DistrTransMessageParam;
import com.siefw.hibernate.core.paging.Pagination;
import com.yuexiu.secp.read.model.entities.AdvertEntity;
import com.yuexiu.secp.read.model.entities.PromotionEntity;
import com.yuexiu.secp.read.model.entities.readonly.AdvertEntityRo;

public interface IPromotionServer extends IBaseCommon<PromotionEntity> {

    /**
     * 查询推广设置
     * @param key
     * @return
     */
    PromotionEntity findPromotionSet(String key);
    /**
     * 根据 redis key 保存推广设置
     * @param            	 *
     * @return
     */
    void savePromotionSet(PromotionEntity promotionEntity);

}
